{{- $script := resources.Get "js/main.ts" | resources.ExecuteAsTemplate "js/main.ts" . | js.Build -}}
{{- if hugo.IsProduction -}}
  {{- $script = $script | minify | fingerprint -}}
{{- end -}}
<script defer src="{{ $script.RelPermalink }}" integrity="{{ $script.Data.Integrity }}"></script>

{{ if .Store.Get "hasMermaid" }}
{{ $mermaid := resources.Get "js/mermaid.ts" | js.Build -}}
{{- if hugo.IsProduction -}}
  {{- $mermaid = $mermaid | minify | fingerprint -}}
{{- end -}}
<script defer src="{{ $mermaid.RelPermalink }}" integrity="{{ $mermaid.Data.Integrity }}"></script>
{{ end }}

{{- if hugo.IsProduction -}}
<script data-goatcounter="https://stats.tooling.digilab.network/count" async src="https://stats.tooling.digilab.network/count.js"></script>
{{- end -}}
